Update Fulfillment Order Address

Updates the address on the fulfillment order according to its current delivery_method:

delivery_method address updates
DELIVERY delivery_address
COLLECTION customer_collection_address

Use Update Delivery Method first if you need to switch between delivery and collection before setting the correct address type.

Not applicable when delivery_method is DIGITAL.

SecurityOAuth2-Production or OAuth2-Demo
Request
path Parameters
orderReference
required
string

The order reference (order_id or partner_order_reference based on the key parameter).

fulfillmentOrderId
required
string

The unique identifier of the fulfillment order.

query Parameters
key
string
Default: "order_id"

Specifies which reference type is being used for the order reference.

Enum: "order_id" "partner_order_reference"
header Parameters
x-api-key
required
string

Your Carriyo API key for authentication.

tenant-id
required
string

Your unique tenant identifier in Carriyo.

Content-Type
string
Default: application/json
Request Body schema: application/json
required
required
object (Address)

The new address. Applies to delivery_address when delivery_method is DELIVERY, or customer_collection_address when delivery_method is COLLECTION.

Responses
200

Address updated successfully.

400

Invalid request or fulfillment order is not in a state that allows this update.

404

Order or fulfillment order not found.

patch/orders/{orderReference}/fulfillment-orders/{fulfillmentOrderId}/update-address
Request samples
application/json
{
  • "address": {
    }
}
Response samples
application/json
{
  • "tenant": "string",
  • "order_id": "string",
  • "merchant": "string",
  • "partner_order_reference": "string",
  • "language": "string",
  • "order_date": "2019-08-24T14:15:22Z",
  • "sales_channel": "string",
  • "creation_source": {
    },
  • "update_source": {
    },
  • "carriyo_metadata": [
    ],
  • "status": "open",
  • "auto_allocation_failed": true,
  • "cancellation_reason": "CUSTOMER_CANCELLATION",
  • "billing_address": {
    },
  • "customer": {
    },
  • "customer_key": "string",
  • "payment": {
    },
  • "redacted": true,
  • "taxes_included": true,
  • "duties_included": true,
  • "discount_applications": [
    ],
  • "line_items": [
    ],
  • "fulfillment_orders": [
    ],
  • "shipping_lines": [
    ],
  • "error_details": [
    ],
  • "creation_date": "2019-08-24T14:15:22Z",
  • "update_date": "2019-08-24T14:15:22Z"
}